Bug 439166

Summary: better livecd desktop arrangement
Product: [Fedora] Fedora Reporter: Matthias Clasen <mclasen>
Component: nautilusAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: katzj, tbzatek, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-05 02:17:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    
Description Flags
livecd-nautilus-desktop-icons-cleanup.diff none

Description Matthias Clasen 2008-03-27 09:14:46 EDT
For the live cd, we want to tweak the nautilus configuration slightly to not
show the homedir, trash and volume icons on the desktop. (Or maybe keep the
homedir and nuke the other two, need to check with jrb).

This probably needs to be done by tweaking the gconf database of the livecd user
in the %post of the kickstart file.
Comment 1 Jeremy Katz 2008-03-27 11:21:34 EDT
So one obvious question from me is why does it make sense to do this for just
the live user and not all users? 
Comment 2 Matthias Clasen 2008-03-27 14:02:30 EDT
Ah, good point. I forgot my main point :-)
What we mostly want to hide is the live cd mount
the rest is just cosmetics that might make sense on the regular desktop too
Comment 3 Jeremy Katz 2008-03-27 14:19:29 EDT
Then I'm entirely on board :-)
Comment 4 Tomáš Bžatek 2008-04-07 08:51:39 EDT
Created attachment 301510 [details]

Proposed patch for livecd-tools-015 hiding homedir, trash and volumes icons
Comment 5 David Zeuthen 2008-04-16 02:29:35 EDT
(In reply to comment #2)
> What we mostly want to hide is the live cd mount

No, I don't believe you want to do this. Vendors may put contents in the root
dir of the livecd so they are also accessible from e.g. Windows or Mac OS X.
Things like media, things like docs etc.

Anyway, if you really want to do this, patching nautilus certainly isn't the
right place (think panel, file chooser, drive_mount applet etc. etc.) for this.
FWIW, my latest patches in


actually will anything that isn't mounted in either /media or $HOME. I'm going
to remove nautilus-2.22.2-hide-livecd-mount.diff and replace it with my new patches.
Comment 6 David Zeuthen 2008-04-16 02:30:26 EDT
s/actually will anything/actually will hide anything/. BZ really needs an edit
Comment 7 Matthias Clasen 2008-04-16 08:58:52 EDT
Well, we are the vendor here. And we still don't ship any content on the livecd.
And even if we did, I doubt that we want to hide it behind a cdrom icon on the
Comment 8 Matthias Clasen 2008-05-05 02:17:15 EDT
I believe the mounted livecd is gone now.